> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cnaught.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Portfolios

> Gets the list of portfolios the user is able to use for purchasing credits. This list is not paginated - the full list of portfolios is returned.
The portfolio objects in the list do not include details about the project categories comprising the portfolio - those can be retrieved
for each portfolio using the [Get Portfolio By Id](/api/reference/#operation/GetPortfolioById) API endpoint.




## OpenAPI

````yaml api-reference/openapi.yaml get /portfolios
openapi: 3.1.0
info:
  title: CNaught Carbon Credits API Documentation
  contact:
    email: support@cnaught.com
    name: CNaught
    url: https://cnaught.com/
  version: v1
  description: |
    Carbon Credits API Documentation
  termsOfService: https://cnaught.com/terms
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.cnaught.com/v1
    description: CNaught API
security:
  - ApiKey: []
tags:
  - name: Orders
    description: Endpoints for placing orders and retrieving information about orders
  - name: Quotes
    description: Endpoints for obtaining price quotes for orders
  - name: Climate Impact
    description: >-
      Endpoints for retrieving climate impact data and hosted public impact page
      configuration
  - name: Subaccounts
    description: Endpoints for creating and retrieving information about subaccounts
paths:
  /portfolios:
    get:
      tags:
        - Portfolios
      summary: Get List of Portfolios
      description: >
        Gets the list of portfolios the user is able to use for purchasing
        credits. This list is not paginated - the full list of portfolios is
        returned.

        The portfolio objects in the list do not include details about the
        project categories comprising the portfolio - those can be retrieved

        for each portfolio using the [Get Portfolio By
        Id](/api/reference/#operation/GetPortfolioById) API endpoint.
      operationId: GetListOfPortfolios
      responses:
        '200':
          description: List of Portfolios
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOfPortfolios'
              example:
                data:
                  - id: oH5hlq
                    name: CNaught Impact
                    summary: >-
                      Science-backed, diversified portfolio to maximize impact,
                      mitigate risk, and foster innovation based on Oxford's
                      principles for carbon offsetting.
                    description: >-
                      The Impact Portfolio is a diversified portfolio of
                      high-quality carbon credits designed to maximize impact,
                      mitigate risk, and foster innovation. A portfolio approach
                      to credits is recommended by the World Economic Forum, and
                      the CNaught portfolio embodies the science-based best
                      practices laid out in Oxford’s Principles for Carbon
                      Offsetting. The Impact Portfolio includes the full range
                      of carbon credit types CNaught offers so that you can
                      maximize your ability to support a low-carbon future.
                    primary_image_url: >-
                      https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/65249b23e4abea354f4e8672_6412308f4b9aaa3dc170ae16_Manoa.jpeg
                  - id: fRqLie
                    name: CNaught Impact Lite
                    summary: >-
                      The Impact Lite Portfolio is narrower in scope than the
                      Impact portfolio but still contains a diversified
                      portfolio of high-quality carbon credits to drive impact
                      and mitigate risk.
                    description: >-
                      The Impact Lite Portfolio is narrower in scope than the
                      Impact portfolio but still contains a diversified
                      portfolio of high-quality carbon credits to drive impact
                      and mitigate risk. A portfolio approach to credits is
                      recommended by the World Economic Forum, and CNaught's
                      approach embodies the science-based best practices laid
                      out in Oxford’s Principles for Carbon Offsetting. The
                      Impact Lite Portfolio does not support innovation in
                      long-lived carbon removal technologies, which will be a
                      critical part of reaching global climate goals.
                    primary_image_url: >-
                      https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/659c94c127c442a6b4f17aa5_katingan-mentaya-river.jpg
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListOfPortfolios:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Portfolio'
    Portfolio:
      type: object
      description: >-
        Details about a project portfolio. A portfolio is composed of project
        categories, with a percentage allocation to each category.
      properties:
        id:
          type: string
          description: Identifier that can be used to retrieve the portfolio
          examples:
            - Fc35bt3
        name:
          type: string
          description: Name of the portfolio
          examples:
            - Climate Active
        summary:
          type: string
          description: Short description of the portfolio
          examples:
            - Portfolio of climate active eligible projects
        description:
          type: string
          description: Extended description of the portfolio
          examples:
            - >-
              This is a portfolio that only includes projects eligible for
              Climate Active designation
        primary_image_url:
          type:
            - string
            - 'null'
          description: URL for the primary image of the portfolio
          examples:
            - >-
              https://assets.cnaught.com/64fd900fcf6f93409fc7ff21/6524ae6c0387291e029550f1_64076b4177668a2e4a6a1d31_peter-thomas-TRAYV5rsA9Y-unsplash%25201.jpeg
  responses:
    Unauthorized:
      description: Request Unauthorized
      content:
        application/problem+json:
          schema:
            properties:
              title:
                type: string
                description: Short, human-readable summary of the problem type
              status:
                type: integer
                description: HTTP status code of the error
          example:
            title: Authorization has been denied for this request
            status: 401
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer

````